// pages/ucenter/accountsecurity/accountsecurity.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isLogin: false,
    isBindPhone: 0,
    reviserPasswordScene: 'MDF_PWD',
    unbindPhoneScene: 'UN_PHONE'
  },

  goModifuPassword(e) {
    if (!this.data.isLogin) {
      let url = `/pages/login/phone_login/phone_login`;
      wx.navigateTo({
        url
      });
      return;
    }
    if(this.phoneCheck()){
      let url = '/pages/ucenter/accountsecurity/checkphonesecuirty/checkphonesecruity?scene='+this.data.reviserPasswordScene;
      wx.navigateTo({
        url
      });
    }
  },

  goModifyPhone(e) {
    if (!this.data.isLogin) {
      let url = `/pages/login/phone_login/phone_login`;
      wx.navigateTo({
        url
      });
      return;
    }
    if(this.phoneCheck()){
      let url = '/pages/ucenter/accountsecurity/checkphonesecuirty/checkphonesecruity?scene='+this.data.unbindPhoneScene;
      wx.navigateTo({
        url
      });
    }
  },

  phoneCheck(){
    if (this.data.isBindPhone==0) {
      wx.showModal({
        title: '提示',
        content: '当前账户未绑定手机号，请您进行手机号绑定操作',
        showCancel:false,
        confirmText: '去绑定',
        confirmColor:'#00AADD',
        success: function (res1) {
            let url = `/pages/bindPhone/bindPhone`;
            wx.navigateTo({
              url
            });
        }
      })
      return false;
    }else{
      return true;
    }
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
  
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    let userInfo = wx.getStorageSync('userInfo');
    let isLogin = wx.getStorageSync('isLogin');
    if (userInfo && isLogin) {
      this.setData({
        isLogin,
        isBindPhone: userInfo.bindingPhone
      });
    }else{
      this.setData({
        isLogin: false,
        isBindPhone: 0
      });
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})